[Numpy-tickets] [NumPy] #667: _dotblas.so only built if ATLAS is installed

NumPy numpy-tickets@scipy....
Sun Feb 24 08:25:48 CST 2008


#667: _dotblas.so only built if ATLAS is installed
-------------------------+--------------------------------------------------
 Reporter:  otizonaizit  |        Owner:  somebody
     Type:  defect       |       Status:  new     
 Priority:  high         |    Milestone:  1.0.5   
Component:  numpy.core   |      Version:  none    
 Severity:  critical     |   Resolution:          
 Keywords:               |  
-------------------------+--------------------------------------------------
Comment (by otizonaizit):

 Thank you for your comments! [[BR]]

 - The debian python-numpy package in etch (numpy 1.0.1) worked because it
 was dependent on atlas... sorry, I only got the chance today of checking
 with an old debian installation!

 - No, numpy as a whole is not really slow, what I meant is, of course,
 that matrix multiplication is slow. "unusable" was a little too much :-)).
 Because my main use for numpy *is* matrix multiplication, I tend to
 overstate its importance :-))

 I see that the only solution is to depend on atlas, which for lenny debian
 users means no dotblas until atlas has achieved the transition to gfortran
 ( http://buildd.debian.org/~jeroen/status/package.php?p=atlas ) .

 thank you very much!

-- 
Ticket URL: <http://scipy.org/scipy/numpy/ticket/667#comment:2>
NumPy <http://projects.scipy.org/scipy/numpy>
The fundamental package needed for scientific computing with Python.


More information about the Numpy-tickets mailing list